Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xfhell
Version:        3.5.1
Release:        alt2_10
Summary:        GTK based Ham Radio application for the Hellschreiber communications mode

License:        GPLv2+
URL:            http://www.5b4az.org/
Source0:        http://www.5b4az.org/pkg/%{name}/%{name}-%{version}.tar.bz2
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png

Patch0:         xfhell-Makefile.patch
Patch1: xfhell-configure-c99.patch

BuildRequires:  gcc gcc-c++
BuildRequires:  autoconf, automake, libtool
BuildRequires:  desktop-file-utils
BuildRequires:  libalsa-devel
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
Source44: import.info


%description
xfhell is a GTK+ application for the "fuzzy" digital amateur radio 
communication mode known as Hellschreiber. 


%prep
%setup -q
%patch0 -p1
%patch1 -p1



%build
./autogen.sh
export CFLAGS="%{optflags} `pkg-config --cflags gmodule-2.0`"
export LDFLAGS="%{optflags} -lm `pkg-config --libs gmodule-2.0`"
%configure
%make_build 


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# no upstream .desktop or icon yet
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp -p %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png

desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

rm -f %{buildroot}%{_docdir}/%{name}/%{name}.1.gz
mkdir -p %{buildroot}%{_mandir}/man1
cp -a doc/%{name}.1.gz %{buildroot}%{_mandir}/man1/


%files
#Missing copy of the GPL, Notified upstream
%doc AUTHORS ChangeLog README
%doc doc/BDF_Spec.pdf doc/xfhell.html
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 3.5.1-alt2_10
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 3.5.1-alt2_9
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 3.5.1-alt2_8
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 3.5.1-alt2_6
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 3.5.1-alt2_5
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 3.5.1-alt2_4
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3.5.1-alt2_3
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3.5.1-alt2_2
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 3.5.1-alt1_2
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 3.5.1-alt1_1
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_23
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_22
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_21
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_20
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_17
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_16
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_15
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_14
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_11
- update to new release by fcimport

* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_10
- initial fc import

